
import java.awt.Graphics2D;
import java.awt.Point;
import java.awt.image.BufferedImage;



public class Card implements Cloneable{

	private CardDeck.SUIT suit;
	private CardDeck.FACE face;
	
	private BufferedImage image;
	
	private Point	screenPosition;	// holds a card's original "stationary" screen position
	
	public Card(CardDeck.SUIT suit, CardDeck.FACE face, BufferedImage image) {
		this.suit = suit;
		this.face = face;
		this.image = image;
		screenPosition = new Point(-1, -1);
	}

	public String toString() {
		return "SUIT: " + suit.toString() + " FACE: " + face.toString() + "\tOrd: " + face.ordinal()+ "(" +
					screenPosition.x + "," + screenPosition.y + ")";
	}
	
	public Object clone() throws CloneNotSupportedException {
		Card cardCopy = new Card(this.suit, this.face, this.image);
		return cardCopy;
	}
	
	public CardDeck.SUIT getSuit() {
		return suit;
	}

	public void setSuit(CardDeck.SUIT suit) {
		this.suit = suit;
	}

	public CardDeck.FACE getFace() {
		return face;
	}

	public void setFace(CardDeck.FACE face) {
		this.face = face;
	}

	public BufferedImage getImage() {
		return image;
	}

	public void setImage(BufferedImage image) {
		this.image = image;
	}

	public Point getScreenPosition() {
		return screenPosition;
	}

	public void setScreenPosition(Point screenPosition) {
		this.screenPosition = screenPosition;
	}
	
	// g2D.drawImage(cards[i].getImage(),null, x, y);
	public void render(Graphics2D g2D) {
		g2D.drawImage(image, null, screenPosition.x, screenPosition.y);
	}
	


}
