import java.awt.*;
import java.util.*;

public class EventProcessor {

	private LinkedList<AWTEvent> eventList;
	private EventProcessable handler;
	
	public EventProcessor(EventProcessable handler) {
		eventList = new LinkedList<AWTEvent>();
		this.handler = handler;
	}
	
	public void addEvent(AWTEvent event) {
		synchronized(eventList) {
			eventList.add(event);
		}
	}
	
	public void processEventList() {
		AWTEvent event;
		
		while (eventList.size() > 0) {
			synchronized(eventList) {
				event = eventList.removeFirst();
			}
			handler.handleEvent(event);
		}
	}
}